Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX
  Nachträglich Ref Set Simplified (REP) hinzufügen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Eine Neuheit im Blechmodul (Sheet Metal) von NX1926 betrifft die Funktion "Ecken verbinden"
Autor Thema:   Nachträglich Ref Set Simplified (REP) hinzufügen (1556 mal gelesen)
AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 25. Mrz. 2015 11:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

ich habe folgendes Problem, zu dem ich über die Suchfunktion nichts Hilfreiches fand.
NX Version: 8.0

Es geht um grosse Assemblies mit bis zu 1500 Einzelteilen, welche mit dem Ref. Set Simplified ("REP") geladen werden sollen.
Bei allen fehlt jedoch noch das Reference Set REP, eine Einstellung der Load Options hilft hier erstmal nichts. Man muß vorher alle Einzelteile laden oder im ASM auf Workpart stellen und kann dann jeweils das Reference Set REP hinzufügen?

Gibt es eine einfache vielleicht automatisierte Methode, vielleicht auch Möglichkeiten, hier mit einem einfachen Makro oder so zu arbeiten?

Danke im voraus für Tips.

[Diese Nachricht wurde von AlexxMZ am 25. Mrz. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 25. Mrz. 2015 14:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zusatzfrage:

Oder ist "Lightweight" das gleiche wie "Simplified ("REP") und man braucht letzteres gar nicht?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Big King
Ehrenmitglied
NX/Tc Admin


Sehen Sie sich das Profil von Big King an!   Senden Sie eine Private Message an Big King  Schreiben Sie einen Gästebucheintrag für Big King

Beiträge: 1538
Registriert: 06.12.2010

erstellt am: 25. Mrz. 2015 14:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Siehe in der NX Hilfe:

Startseite > CAD > Zeichnungserstellung > Baugruppenzeichnungen > Arbeiten mit Baugruppenzeichnungen > Reference Sets

Startseite > CAD > Baugruppen > Laden von Baugruppen

------------------
“Vision without action is a daydream. Action without vision is a nightmare.”

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 25. Mrz. 2015 15:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok danke, gefunden, ist nicht das gleiche....

Nun bräuchte ich einen Weg, schnell und einfach Einzelteildaten eines Assemblies (jeweils ca. 1000-2000) das Reference Set Simplyfied ("REP") zu verpassen, vielleicht über Batchfile oder Makro?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 25. Mrz. 2015 19:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Hallo AlexxMZ,

das lässt sich über ein Journal machen, Makro taugt da nur sehr eingeschränkt. Und via (DOS ??) Batch sehe ich keine Möglichkeit, ein Part zu öffnen, geschweige denn an die RefSets dranzukommen.

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ThomasZwatz
Moderator
cadadmin




Sehen Sie sich das Profil von ThomasZwatz an!   Senden Sie eine Private Message an ThomasZwatz  Schreiben Sie einen Gästebucheintrag für ThomasZwatz

Beiträge: 5079
Registriert: 19.05.2000

(07-2020)
[stable][testing]
NX12.0.2.9 MP12 + TC12.1.0.8, RAC +AWC 4.2.3
SingleSite 4Tier, DocMgt, Client4Office, MRO, ReqMgt, SchedMgt, T4S, TcVis Mockup 12.4, TcSSO
BCT-Inspector Neutral V18.8
[unstable]
NX1930
@M7720 Win10 (1909)

erstellt am: 25. Mrz. 2015 22:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich


NX75_CustomerDef_Asm_Site.png

 
Zitat:
Original erstellt von AlexxMZ:
...Gibt es eine einfache vielleicht automatisierte Methode, vielleicht auch Möglichkeiten, hier mit einem einfachen Makro oder so zu arbeiten?

Die eigentliche Frage dabei ist, was in dem ReferenceSet genau drin sein soll ....

Annahme:
Es ist ein ReferenceSet gemeint, das in den CustomerDefaults als "Simplified Reference Set" definiert wird.

Dann kann man folgendes versuchen:
- In den CustomerDefaults dieses SimplifiedReferenceSet mit "REP" festlegen
- auf die fraglichen Parts das refile_part Utility loslassen, dabei muss eine "ordentliche" NX Umgebung definiert sein die auch die CustomerDefaults korrekt anzieht.

Wirkt das nicht, muss mans z.B. über ein Journal machen wie bereits vorgeschlagen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Walter Hogger
Moderator
Maschinenbauingenieur


Sehen Sie sich das Profil von Walter Hogger an!   Senden Sie eine Private Message an Walter Hogger  Schreiben Sie einen Gästebucheintrag für Walter Hogger

Beiträge: 3560
Registriert: 06.10.2000

UG V2 bis V18
NX1 bis NX1880 ("NX14")
Windows, UNIX, Linux

erstellt am: 26. Mrz. 2015 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Ich seh's noch schlimmer wie Thomas.

Unter dem "Simplified Reference Set" wird häufig eine Dummy-Geometrie abgelegt, die es so gar nicht gibt, z.B. bei einer Zylinderschraube nur zwei Zylinder (Gewindeschaft und Schraubenkopf). Dazu erstellt man sich zusätzliche Solids neben dem detaillierten Solid. Und das ist dann nicht ganz einfach, so eine Auswahl zu automatisieren.

Gruß

------------------
Walter Hogger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

inv
Mitglied
CAx Consultant


Sehen Sie sich das Profil von inv an!   Senden Sie eine Private Message an inv  Schreiben Sie einen Gästebucheintrag für inv

Beiträge: 597
Registriert: 07.02.2006

erstellt am: 26. Mrz. 2015 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Hallo zusammen,

1. Das Reference Set "Rep" gibt es seit der NX 7.5 nicht mehr. Es wurde durch die Lightweight Daten ersetzt.
2. Der Eintrag "Simplified Reference Set" in den Customer Defaults ist nur für das Ergebnis der Envelope Assembly Funktion

Gruß André

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 26. Mrz. 2015 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


2015-03-2610_25_17-REP.png

 
Danke ThomasZwatz, refile_part funktioniert soweit.
- Es ist dieses ReferenceSet gemeint :-)
- In den CustomerDefaults ist dort REP eingetragen.
- refile_part läuft durch mit -d (alle prt-Dateien in dem Verzeichnis).

Wie bekomme ich nun das REP auf diese Partdaten? Mit speziellen Parametern? (siehe Bild)
Wenn das mit diesem Befehl ginge, wäre das natürlich sehr einfach und genial.   

Danke auch für die Tips aller anderen.
Gruß

[Diese Nachricht wurde von AlexxMZ am 26. Mrz. 2015 editiert.]

[Diese Nachricht wurde von AlexxMZ am 26. Mrz. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ThomasZwatz
Moderator
cadadmin




Sehen Sie sich das Profil von ThomasZwatz an!   Senden Sie eine Private Message an ThomasZwatz  Schreiben Sie einen Gästebucheintrag für ThomasZwatz

Beiträge: 5079
Registriert: 19.05.2000

(07-2020)
[stable][testing]
NX12.0.2.9 MP12 + TC12.1.0.8, RAC +AWC 4.2.3
SingleSite 4Tier, DocMgt, Client4Office, MRO, ReqMgt, SchedMgt, T4S, TcVis Mockup 12.4, TcSSO
BCT-Inspector Neutral V18.8
[unstable]
NX1930
@M7720 Win10 (1909)

erstellt am: 26. Mrz. 2015 11:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Laut der Info in den CustomerDefaults wird das SimplifiedReferenceSet vom System gewartet, wenn ein Envelope erzeugt wird.

Wenn refile_part nun dieses RefSet nicht von sich aus erzeugt/befüllt ( ist in den Parts auch ein Envelope drin ? ) schauts schlecht aus.
Dann muss mans wohl mit einem Journal machen ( wobei ich jetzt nicht weiss wie genau man diesen Vorgang interaktiv macht ), nur das RefSet selbst erzeugen und leer lassen wird ja nicht Ziel der Aktion sein.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 26. Mrz. 2015 15:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe die Lösung gefunden.

Ich habe ein Journal, das alles auf Layer 1 einem neuen Reference Set REP hinzufügt. Beides kann man natürlich editieren.
In Verbindung mit den Customer Defaults bekommt dann alles das Simplified ("REP").
Gibt es das Ref Set schon, bricht das Journal nicht ab, sondern es wird ignoriert.

Nun brauchte ich nur noch ein Makro, das eine PRT Datei öffnet, das Journal ausführt, speichert und schliesst.

Den Rest meines Vorhabens schaffe ich nun mit einem Skript. Wollte hier nur die Lösung schreiben, falls sowas mal wieder jemand braucht und sucht.

Gruß,
Alex

-------------------
Journal:


Option Strict Off
Imports System
Imports System.Collections.Generic
Imports NXOpen

Module Module2

    Dim theSession As Session = Session.GetSession()
    Dim workPart As Part = theSession.Parts.Work

    Sub Main()

        If IsNothing(theSession.Parts.Work) Then
            'active part required
            Return
        End If

        Dim lw As ListingWindow = theSession.ListingWindow
        lw.Open()

        Const undoMarkName As String = "reference set from bodies on layer"
        Dim markId1 As Session.UndoMarkId
        markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, undoMarkName)

        '$$$$$ specify reference set name here
        Const refSetName As String = "REP"

        '$$$$$ specify layer
        Const refSetLayer As Integer = 1

        Dim layerBodies As New List(Of Body)
        'gather bodies on specified layer
        For Each tempBody As Body In workPart.Bodies
            If tempBody.Layer = refSetLayer Then
                layerBodies.Add(tempBody)
            End If
        Next

        Try

            'find/create reference set
            Dim myRefSet As ReferenceSet = CreateReferenceSet(refSetName)

            'remove all objects from reference set
            myRefSet.RemoveObjectsFromReferenceSet(myRefSet.AskMembersInReferenceSet)

            'add bodies from specified layer
            myRefSet.AddObjectsToReferenceSet(layerBodies.ToArray)

        Catch ex As NXException
            theSession.UndoToMark(markId1, undoMarkName)
            MsgBox(ex.Message)

        Finally

        End Try

        lw.Close()

    End Sub

    Function CreateReferenceSet(ByVal refSetName As String) As ReferenceSet

        Dim theRefSets() As ReferenceSet = workPart.GetAllReferenceSets

        'does the specified reference set exist?
        'if so, return it
        For Each someRefSet As ReferenceSet In theRefSets
            If someRefSet.Name.ToUpper = refSetName.ToUpper Then
                Return someRefSet
            End If
        Next

        'if we get here, the ref set does not exist
        'create it
        Dim targetRefSet As ReferenceSet
        targetRefSet = workPart.CreateReferenceSet()
        targetRefSet.SetName(refSetName)
        Return targetRefSet


    End Function

    Public Function GetUnloadOption(ByVal dummy As String) As Integer

        'Unloads the image when the NX session terminates
        GetUnloadOption = NXOpen.Session.LibraryUnloadOption.AtTermination

    End Function

End Module

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 26. Mrz. 2015 16:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von AlexxMZ:
Nun brauchte ich nur noch ein Makro, das eine PRT Datei öffnet, das Journal ausführt, speichert und schliesst.

Hallo Alex,

warum willst Du das separat machen und nicht gleich ins Journal mit einbauen ? Eine Schleife , z.B. For Each... über alle Parts, am Anfang jeweils öffnen, dann das RefSet erstellen und am Ende Speichern, Schliessen und gut ist.

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 26. Mrz. 2015 17:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Michael,

Ich beherrsche die VB Programmierung nicht.... 
Kannst Du das was im Journal noch fehlen würde nennen, damit dieses dann z.B. 2000 Datensätze in einem Directory durchgeht?

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 27. Mrz. 2015 11:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von AlexxMZ:
Ich beherrsche die VB Programmierung nicht....  

Hallo Alex,

das ist ein Grund, aber kein Hinderniss und lässt sich ändern ;) , z.B. damit. Daneben gibt's jede Menge Beispielprogramme: In der NX Installation sind einige hinterlegt, im Programmierforum findet sich das eine oder andere und falls Du Zugriff auf's GTAC hast, such' dort mal Sample NXOpen.

Zitat:
Original erstellt von AlexxMZ:
Kannst Du das was im Journal noch fehlen würde nennen, damit dieses dann z.B. 2000 Datensätze in einem Directory durchgeht?

OK, aber als Tipp und auswendig. Alle Hinweise, wie man sowas "richtig" macht, sind in o.g. Tutorial und der NX Doku zu finden.

Zunächst fehlt ein Imports System.IO für den Zugriff auf's Dateisystem. Dann würd' ich die Main umbenennen, z.B. in ProcessPart. Jetzt eine neue Main anlegen und dort eine Schleife machen, in etwa so:

For each fname as string in directory.getfilesystementries(..)
  if fname.endswith(".prt") then
    dim tmppart as Part = theSession.Parts.open(fname)
    ProcessPart()
    tmppart.save(..)
    tmppart.close(..)
  end if
Next

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 27. Mrz. 2015 13:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich denke ich verstehe, ich weiss noch nicht, ob ich heute dazu komme, das zu testen, werde mich dann melden.

Aber grossen Dank für den Tip und soweit mal schönes Wochenende :-)

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 28. Mrz. 2015 16:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich


PartLoop.txt

 
Hallo Alex,

im Anhang die, mit Hilfe einer Entwicklerumgebung geschriebene Version. Die kennt auch die Details. 

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 30. Mrz. 2015 11:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Michael, habe ich eingebaut.
Das Journal läuft ohne Fehlermeldung aber gerade versuche ich herauszufinden, warum "ProcessPart()" irgendwie nicht funktioniert.
Die Parts werden geladen und gespeichert, aber sie haben das Ref Set REP nicht. Bei der Kombi Makro/Journal schon.

Ich forsche weiter, lese auch das die VB.net Einführung durch, danke auch nochmal dafür.

Fehlt was im Programm, daß der Teil mit dem Ref Set REP vergeben jetzt nicht zu funktionieren scheint?(REP ist in den Customer Defaults für Simplified noch definiert)

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 30. Mrz. 2015 14:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


REFSET.txt

 
Ich probiere und bekomme es nicht hin :-)

Ich habe mal das was ich habe hier als txt eingefügt, mag mal wer schauen, warum Sub ProcessPart anscheinend nicht so ausgeführt wird wie es soll?

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 30. Mrz. 2015 14:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Hallo Alex,

das WorkPart wird nur einmal global gesetzt. Es ändert sich allerdings mit jedem Durchlauf der Main-Schleife  .

ProcessPart sollte aber zu jedem Zeitpunkt wissen, was gerade aktuelles WorkPart ist. Dazu am einfachsten die Zeile

Dim workPart As Part = theSession.Parts.Work

an den Anfang der Sub ProcessPart schieben.

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 31. Mrz. 2015 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


REFSET.txt

 
Hallo Michael,

danke   

Dein Tip hat so nicht funktioniert, aber ein anderer, den ich noch bekommen habe.

Mit dieser Schleife läufts nun und alles bekommt das neue Referenz Set:

Sub Main()

For Each fname As String In Directory.GetFileSystemEntries("O:\projekte\Kunden\Isuzu\Demo-Teile\4hk1_150323", "*.prt")
Dim loadstat As PartLoadStatus = Nothing
Dim tmppart As Part = theSession.Parts.OpenDisplay(fname, loadstat)
workPart = tmppart
Process()
tmppart.Save(BasePart.SaveComponents.False, BasePart.CloseAfterSave.True)
Next

End Sub

Kann man übrigens auch für anderes verwenden. Man kann im Journal den Layer eintragen und irgendein Referenz Set und dieses Journal fügt alles auf dem angegebenen Layer dem angegebenen Referenz Set zu   

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2438
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 31. Mrz. 2015 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AlexxMZ 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von AlexxMZ:
Dein Tip hat so nicht funktioniert ...

Hallo Alex,

hast Du erwartet, daß es nach ein bisschen Copy/Paste gleich fehlerfrei läuft ? Das käme fast einem Lottogewinn gleich  . Im Detail kommt's eben immer drauf an, wie der Rest des Programms genau aussieht. In dem Fall ist der Grund wahrscheinlich die Änderung von
theSession.Parts.Open(...) zu
theSession.Parts.OpenDisplay(...), weil NX zwischen WorkPart und DisplayPart unterscheidet.

Jedenfalls muss die Sub ProcessPart das WorkPart kennen. Wie man das anstellt, ist letztlich egal. Man könnte die Variable tmppart auch weglassen und gleich ff. schreiben:

workPart = theSession.Parts.OpenDisplay(fname, loadstat)
...
workPart.Save(BasePart.SaveComponents.False, BasePart.CloseAfterSave.True)

Oder das Part als Argument an ProcessPart übergeben ...

Gruß, Michael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AlexxMZ
Mitglied
CAD support


Sehen Sie sich das Profil von AlexxMZ an!   Senden Sie eine Private Message an AlexxMZ  Schreiben Sie einen Gästebucheintrag für AlexxMZ

Beiträge: 16
Registriert: 25.03.2015

TC 9.1, NX 8.0 8.5

erstellt am: 01. Apr. 2015 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Auf jeden Fall Danke Michael und allen anderen. :-)
Erwünschtes Ergebnis ist erzielt und dieses Journal kann man ja vielleicht noch für anderes verwenden.

Und danke auch für den Link zu dieser vb.net Einführung weiter oben. Werde ich mir mal zu Gemüte führen und mich mehr mit vb und Journals beschäftigen.

Gruß,
Alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz